Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.capabilities
Class WPVSOperationsMetadata

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
          org.deegree.ogcwebservices.wpvs.capabilities.WPVSOperationsMetadata

All Implemented Interfaces:
  Serializable

    public class WPVSOperationsMetadata

extends OperationsMetadata

FIXME check spec number! add "Function" to table. Represents the `OperationMetadata` part in the capabilities document of a WPVS according to the `Web Perspective View Service Implementation Specification 0.0.0`. In addition to the `GetCapabilities` operation that all `OWS 0.3` compliant services must implement, it may define some or all of the following operations:

Name | Mandatory? | Function
--- | --- | ---
`GetView` | yes |
`GetDescription` |  |
`GetLegendGraphic` | no |

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $
See Also:
  `OperationsMetadata`, Serialized Form

Field Summary
`static String` | `GET_3D_FEATURE_INFO`
`static String` | `GET_CAPABILITIES_NAME`
`static String` | `GET_DESCRIPTION_NAME`
`static String` | `GET_LEGEND_GRAPHIC_NAME`
`static String` | `GET_VIEW_NAME`

Fields inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`getCapabilitiesOperation`

Constructor Summary
`WPVSOperationsMetadata(Operation110 getCapabilities, Operation110 getView, Operation110 getDescription, Operation110 getLegendGraphic, OWSDomainType110[] parameters, OWSDomainType110[] constraints, Object[] extendedCapabilities)` Creates a new `WPVSOperationsMetadata` instance from the given parameters.
`WPVSOperationsMetadata(Operation110 getCapabilities, Operation110 getView, Operation110 getDescription, Operation110 getLegendGraphic, OWSDomainType110[] parameters, OWSDomainType110[] constraints, Object[] extendedCapabilities, Operation110 get3DFeatureInfo)` Creates a new `WPVSOperationsMetadata` instance from the given parameters.

Method Summary
`void` | `addParameter110(OWSDomainType110 parameter)` Adds a parameter to the WPVSOperationsMetadata.
`Operation[]` | `getAllOperations()` Returns all `Operations` known to the WPVS.
`OWSDomainType110[]` | `getConstraints110()`
`Object` | `getExtendedCapabilities()`
`Operation` | `getGetCapabilities()`
`Operation` | `getGetDescription()`
`Operation` | `getGetLegendGraphic()`
`Operation` | `getGetView()`
`OWSDomainType110[]` | `getParameters110()` Returns a list of parameters assigned directly to the WPVSOperationsMetadata.
`OWSDomainType110` | `removeParameter110(String name)` Removes a parameter from the WPVSOperationsMetadata.
`void` | `setExtendedCapabilities(Object extendedCapabilities)`
`void` | `setGetCapabilities(Operation110 getCapabilities)` Sets the configuration for the `GetCapabilities` -operation.
`void` | `setGetDescription(Operation110 getDescription)`
`void` | `setGetLegendGraphic(Operation110 getLegendGraphic)`
`void` | `setGetView(Operation110 getView)`
`void` | `setParameters110(OWSDomainType110[] parameters)` Sets a complete list of parameters to the WPVSOperationMetadata.

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`addConstraint, addParameter, getConstraints, getGetCapabilitiesOperation, getOperations, getParameter, removeParameter, setConstraints, setGetCapabilitiesOperation, setOperationParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET_VIEW_NAME

    public static final String GET_VIEW_NAME

See Also:
  Constant Field Values

### GET_CAPABILITIES_NAME

    public static final String GET_CAPABILITIES_NAME

See Also:
  Constant Field Values

### GET_DESCRIPTION_NAME

    public static final String GET_DESCRIPTION_NAME

See Also:
  Constant Field Values

### GET_3D_FEATURE_INFO

    public static final String GET_3D_FEATURE_INFO

See Also:
  Constant Field Values

### GET_LEGEND_GRAPHIC_NAME

    public static final String GET_LEGEND_GRAPHIC_NAME

See Also:
  Constant Field Values

Constructor Detail

### WPVSOperationsMetadata

    public WPVSOperationsMetadata(Operation110 getCapabilities,
                                  Operation110 getView,
                                  Operation110 getDescription,
                                  Operation110 getLegendGraphic,
                                  OWSDomainType110[] parameters,
                                  OWSDomainType110[] constraints,
                                  Object[] extendedCapabilities)

  Creates a new `WPVSOperationsMetadata` instance from the given parameters.

  Parameters:
    `getView` - mandatory operation
    `getCapabilities` - mandatory operation
    `getDescription` - optional operation; may be null
    `getLegendGraphic` - optional operation; may be null
    `parameters` - optional unordered list of parameter valid domains that each apply to one or more operations which this server interface implements.
    `constraints` - optional unordered list of valid domain constraints on non-parameter quantaties that each apply to this server.
    `extendedCapabilities` - optional; metadata about any additional server abilities.

### WPVSOperationsMetadata

    public WPVSOperationsMetadata(Operation110 getCapabilities,
                                  Operation110 getView,
                                  Operation110 getDescription,
                                  Operation110 getLegendGraphic,
                                  OWSDomainType110[] parameters,
                                  OWSDomainType110[] constraints,
                                  Object[] extendedCapabilities,
                                  Operation110 get3DFeatureInfo)

  Creates a new `WPVSOperationsMetadata` instance from the given parameters.

  Parameters:
    `getView` - mandatory operation
    `getCapabilities` - mandatory operation
    `getDescription` - optional operation; may be null
    `getLegendGraphic` - optional operation; may be null
    `parameters` - optional unordered list of parameter valid domains that each apply to one or more operations which this server interface implements.
    `constraints` - optional unordered list of valid domain constraints on non-parameter quantaties that each apply to this server.
    `extendedCapabilities` - optional; metadata about any additional server abilities.
    `get3DFeatureInfo` - optional operation; may be null

Method Detail

### getAllOperations

    public Operation[] getAllOperations()

  Returns all `Operations` known to the WPVS.

  Returns:
    the configured operations of the wpvs

### getGetCapabilities

    public Operation getGetCapabilities()

  Returns:
    the `GetCapabilities` -operation.

### setGetCapabilities

    public void setGetCapabilities(Operation110 getCapabilities)

  Sets the configuration for the `GetCapabilities` -operation.

  Parameters:
    `getCapabilities` - configuration for the `GetCapabilities` -operation to be set.

### getGetView

    public Operation getGetView()

  Returns:
    Returns the getView `Operation`.

### setGetView

    public void setGetView(Operation110 getView)

  Parameters:
    `getView` - The getView to set.

### getGetDescription

    public Operation getGetDescription()

  Returns:
    Returns the getDescription `Operation`.

### setGetDescription

    public void setGetDescription(Operation110 getDescription)

  Parameters:
    `getDescription` - The getDescription to set.

### getGetLegendGraphic

    public Operation getGetLegendGraphic()

  Returns:
    Returns the getLegendGraphic `Operation`.

### setGetLegendGraphic

    public void setGetLegendGraphic(Operation110 getLegendGraphic)

  Parameters:
    `getLegendGraphic` - The getLegendGraphic to set.

### getExtendedCapabilities

    public Object getExtendedCapabilities()

  Returns:
    Returns the extendedCapabilities.

### setExtendedCapabilities

    public void setExtendedCapabilities(Object extendedCapabilities)

  Parameters:
    `extendedCapabilities` - The extendedCapabilities to set.

### getParameters110

    public OWSDomainType110[] getParameters110()

  Returns a list of parameters assigned directly to the WPVSOperationsMetadata.

  Returns:
    a list of parameters assigned directly to the WPVSOperationsMetadata.

### addParameter110

    public void addParameter110(OWSDomainType110 parameter)

  Adds a parameter to the WPVSOperationsMetadata.

  Parameters:
    `parameter` -

### removeParameter110

    public OWSDomainType110 removeParameter110(String name)

  Removes a parameter from the WPVSOperationsMetadata.

  Parameters:
    `name` - to be removed
  Returns:
    the removed OWSDomainType110 or null if not found (or if the name mapping was null) .

### setParameters110

    public void setParameters110(OWSDomainType110[] parameters)

  Sets a complete list of parameters to the WPVSOperationMetadata.

  Parameters:
    `parameters` -

### getConstraints110

    public OWSDomainType110[] getConstraints110()

  Returns:
    Returns the constraints.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org